Bug 609247

Summary: AttributeError: 'YumConf' object has no attribute 'config_file_age'
Product: [Fedora] Fedora Reporter: John Reiser <jreiser>
Component: pungiAssignee: David Cantrell <dcantrell>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: dcantrell, sergio, thatch45
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 623896 634741 (view as bug list) Environment:
Last Closed: 2010-06-29 23:03:52 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 623896    

Description John Reiser 2010-06-29 18:28:38 UTC
Description of problem: pungi aborts on AttributeError 'config_file_age' w.r.t. umConf.


Version-Release number of selected component (if applicable):
pungi-2.1.1-1.fc14.noarch
yum-3.2.27-17.fc14.noarch
anaconda-14.9-1.fc14.x86_64


How reproducible: every time


Steps to Reproduce:
1./usr/bin/pungi -c /usr/share/pungi/rawhide-fedora.ks --destdir=/ext4/Fedora14 --name Fedora --ver 14 --nosource
2.
3.
  
Actual results:
Traceback (most recent call last):
  File "/usr/bin/pungi", line 216, in <module>
    main()
  File "/usr/bin/pungi", line 86, in main
    mypungi._inityum() # initialize the yum object for things that need it
  File "/usr/lib/python2.6/site-packages/pypungi/__init__.py", line 165, in _inityum
    self.ayum.repos.setCacheDir(self.ayum.conf.cachedir)
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 814, in <lambda>
    repos = property(fget=lambda self: self._getRepos(),
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 539, in _getRepos
    self.getReposFromConfig()
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 418, in getReposFromConfig
    repo_config_age = self.conf.config_file_age
AttributeError: 'YumConf' object has no attribute 'config_file_age'


Expected results: no AttributeError


Additional info:

Comment 1 Jesse Keating 2010-06-29 23:03:52 UTC
Will be fixed in the next build of pungi, which is going on now.

Comment 2 Thomas S Hatch 2010-08-12 19:59:50 UTC
I am seeing what appears to be the same problem with pungi on fedora 13:

pungi-2.0.21-1.fc13.noarch
yum-3.2.28-1.fc13.noarch
anaconda-13.42-1.fc13.x86_64

pungi -c ais.ks --destdir=/srv/ --name Fedora --ver 14 --nosource

Traceback (most recent call last):
  File "/usr/bin/pungi", line 216, in <module>
    main()
  File "/usr/bin/pungi", line 86, in main
    mypungi._inityum() # initialize the yum object for things that need it
  File "/usr/lib/python2.6/site-packages/pypungi/__init__.py", line 165, in _inityum
    self.ayum.repos.setCacheDir(self.ayum.conf.cachedir)
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 814, in <lambda>
    repos = property(fget=lambda self: self._getRepos(),
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 539, in _getRepos
    self.getReposFromConfig()
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 418, in getReposFromConfig
    repo_config_age = self.conf.config_file_age
AttributeError: 'YumConf' object has no attribute 'config_file_age'

Happens every time, I can't get pungi to run.

Comment 3 Jesse Keating 2010-08-13 05:13:45 UTC
Guess I need to backport this for f13.

Comment 4 Sergio Monteiro Basto 2010-08-30 21:46:03 UTC
(In reply to comment #3)
> Guess I need to backport this for f13.

yes , I got this error on f13